Bug 492458 - backlight works only after suspend on Intel KMS
backlight works only after suspend on Intel KMS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
: 493376 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 16:13 EDT by Tomasz Torcz
Modified: 2013-04-02 00:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:34:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2009-03-26 16:13:46 EDT
Description of problem:
I have Thinkpad T400 with G45 graphics (Intel X4500MHD). Freshly after boot, backlight regulation doesn't work. Echo'ing any values between 0 and 15 to /sys/devices/virtual/backlight/acpi_video0/brightness have no effect on actual backlight, but values in brightness and actual_brightness files are changed.
Keyboard key for changing backlight have no effect, moving slider in GNOME Backlight Applet have no effect.
Additionally, xbacklight reports:

% xbacklight
No outputs have backlight property

Curiously, after succesfull suspend-to-ram and resume, it start to work. Keyboard button and backlight applet change brightness. But as STR got very unreliable with F11, I'm reluctant to suspend and resume after each boot.


Version-Release number of selected component (if applicable):
% dmesg | grep -C1 backlig
thinkpad_acpi: radio switch found; radios are enabled
thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
thinkpad_acpi: Disabling thinkpad-acpi brightness events by default...
--
Registered led device: tpacpi::standby
thinkpad_acpi: Standard ACPI backlight interface available, not loading native one.
input: ThinkPad Extra Buttons as /devices/virtual/input/input10

Linux sandworm.fordon.pl.eu.org 2.6.29-9.fc11.x86_64 #1 SMP Thu Mar 26 10:03:10 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

xorg-x11-drv-intel-2.6.0-14.fc11.x86_64
Comment 1 Tomasz Torcz 2009-03-29 09:13:24 EDT
Simiar problem reported here: http://lkml.org/lkml/2009/3/29/53
Can we got newer xorg-x11-drv-intel in rawhide?
Comment 2 Tomasz Torcz 2009-03-30 17:57:05 EDT
xorg-x11-drv-intel-2.6.99.902-1.fc11.x86_64  and the problem still exists.
Comment 3 Matthew Stanton 2009-04-02 16:09:35 EDT
*** Bug 493376 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Stanton 2009-04-03 19:09:24 EDT
problem appears to be fixed after today's updates.
Comment 5 Tomasz Torcz 2009-04-07 15:58:05 EDT
Yes, I can confirm that. Thanks for fixing.
Comment 6 Bug Zapper 2009-06-09 08:42:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 09:20:29 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:34:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.